apply plugin: 'com.android.library'
//apply plugin: 'com.novoda.bintray-release'


def siteUrl = 'https://github.com/ckrgithub/PageRecyclerView'
//publish {
//    repoName = 'Page'
//    userOrg = 'ckrjfrog'
//    groupId = 'ckrjfrog.Page'
//    artifactId = 'PageView'
//    publishVersion = rootProject.pageViewConfig.publishVersion
//    desc = '自定义recyclerView实现分页功能'
//    website = siteUrl
//}
tasks.withType(Javadoc) {
    options.addStringOption('Xdoclint:none', '-quiet')
    options.addStringOption('encoding', 'UTF-8')
    options.addStringOption('charSet', 'UTF-8')
}

android {
    compileSdkVersion 30
    buildToolsVersion "30.0.3"

    defaultConfig {
        minSdkVersion 22
        targetSdkVersion 30
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
            buildConfigField("boolean","isDebug","false")
        }
        debug{
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
            buildConfigField("boolean","isDebug","true")
        }
    }
    namespace 'com.ckr.pageview'
    lint {
        abortOnError false
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'androidx.appcompat:appcompat:1.5.1'
    implementation("androidx.recyclerview:recyclerview:1.2.1")

}
